# builderx.pl.onnoclip

`builderx.pl.onnoclip(` [**ᵖˡᵃʸᵉʳ**](https://wiki.facepunch.com/gmod/Player) pl`)`

## ▸ Parameters

&#x20;     ***`ply`**`    ``pl`*\
&#x20;                         player object

&#x20;     ***`bool`**`   ``state`*\
&#x20;                         returns **true** if player enters noclip mode; **false** if noclip taken away

## ▸ Description

&#x20;      Runs when a player uses the noclip chat command (!fly) to enter / exit noclip in build mode.

## ▸ Notes

&#x20;        Will **NOT** be called if player uses an outside method to enter noclip such as:\
&#x20;             ulx noclip, darkrp fly mode, etc.

## ▸ Example

{% tabs %}
{% tab title="Example 1" %}

```lua
local function your_hook( pl, state )

    // your custom hook function here

end
hook.Add( 'builderx.pl.onnoclip', 'your_hook_id', your_hook )
```

{% endtab %}

{% tab title="Example 2" %}

```lua
hook.Add( 'builderx.pl.onnoclip', 'your_hook_id', function( pl, state )

    // your custom hook function here

end )
```

{% endtab %}

{% tab title="Example 3" %}

```lua
local function your_hook( pl, state )

    // your custom hook function here

end
rhook.new.rlib( 'builderx_mode_onnoclip', your_hook )
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://builderx.rlib.io/developers/hooks/builderx_pl_onnoclip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
